%global pypi_name googletrans

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 1
Summary:        Google Translate API for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/ssut/py-googletrans
Source0:        %pypi_source
Patch1:         googletrans-httpx.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Googletrans is a free and unlimited python library that implemented Google
Translate API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Googletrans is a free and unlimited python library that implemented Google
Translate API.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/translate


%changelog
* Sun Jul 23 2023 wally <wally> 3.0.0-1.mga9
+ Revision: 1964096
- imported package python-googletrans

